Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind.layers.Earth
Class PoliticalBoundariesLayer

    java.lang.Object
      gov.nasa.worldwind.AVListImpl
          gov.nasa.worldwind.WWObjectImpl
              gov.nasa.worldwind.layers.AbstractLayer
                  gov.nasa.worldwind.layers.TiledImageLayer
                      gov.nasa.worldwind.layers.Earth.PoliticalBoundariesLayer

All Implemented Interfaces:
  AVList, Disposable, Layer, WWObject, PropertyChangeListener, EventListener

    public class PoliticalBoundariesLayer

extends TiledImageLayer

Field Summary

Fields inherited from class gov.nasa.worldwind.AVListImpl
`changeSupport`

Constructor Summary
`PoliticalBoundariesLayer()`

Method Summary
`String` | `toString()`

Methods inherited from class gov.nasa.worldwind.layers.TiledImageLayer
`dispose, doRender, getColor, isDrawBoundingVolumes, isDrawTileBoundaries, isDrawTileIDs, isDrawWireframe, isForceLevelZeroLoads, isLayerInView, isRetainLevelZeroTiles, isShowImageTileOutlines, isUseTransparentTextures, setDrawBoundingVolumes, setDrawTileBoundaries, setDrawTileIDs, setDrawWireframe, setForceLevelZeroLoads, setRetainLevelZeroTiles, setShowImageTileOutlines, setUseTransparentTextures`

Methods inherited from class gov.nasa.worldwind.layers.AbstractLayer
`doPick, getMaxActiveAltitude, getMinActiveAltitude, getName, getOpacity, isEnabled, isLayerActive, isPickEnabled, pick, render, setEnabled, setMaxActiveAltitude, setMinActiveAltitude, setName, setOpacity, setPickEnabled`

Methods inherited from class gov.nasa.worldwind.AVListImpl
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, propertyChange, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface gov.nasa.worldwind.AVList
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Constructor Detail

### PoliticalBoundariesLayer

    public PoliticalBoundariesLayer()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `TiledImageLayer`

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD